import request from '@/utils/request'

// 创建检查项目子
export function createChilditem(data) {
  return request({
    url: '/system/childitem/create',
    method: 'post',
    data: data
  })
}

// 更新检查项目子
export function updateChilditem(data) {
  return request({
    url: '/system/childitem/update',
    method: 'put',
    data: data
  })
}

// 删除检查项目子
export function deleteChilditem(id) {
  return request({
    url: '/system/childitem/delete?id=' + id,
    method: 'delete'
  })
}

// 获得检查项目子
export function getChilditem(id) {
  return request({
    url: '/system/childitem/get?id=' + id,
    method: 'get'
  })
}

// 获得检查项目子分页
export function getChilditemPage(query) {
  return request({
    url: '/system/childitem/page',
    method: 'get',
    params: query
  })
}

// 导出检查项目子 Excel
export function exportChilditemExcel(query) {
  return request({
    url: '/system/childitem/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
